View Issue Details

IDProjectCategoryView StatusLast Update
0023425mantisbtreportspublic2017-10-08 23:52
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023425: PHP errors and warnings when running Issue Trend report
Description

Getting the following errors and warnings when running Issue Trend report in a project where no issue exist

PHP Fatal error:  Uncaught TypeError: Argument 1 passed to graph_cumulative_bydate() must be of the type array, null given ...

SYSTEM WARNING 'ksort() expects parameter 1 to be array, null given ...
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master e3d2686a

2017-10-02 14:29:32

atrol

Details Diff
Fix PHP errors and warning in Issue Trends report

Fixes 0023425
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_graph.php Diff File

Issue History

Date Modified Username Field Change
2017-10-02 14:22 atrol New Issue
2017-10-02 14:22 atrol Status new => assigned
2017-10-02 14:22 atrol Assigned To => atrol
2017-10-02 14:36 atrol Note Added: 0057873
2017-10-03 05:58 atrol Changeset attached => MantisBT master e3d2686a
2017-10-03 05:58 atrol Status assigned => resolved
2017-10-03 05:58 atrol Resolution open => fixed
2017-10-03 05:58 atrol Fixed in Version => 2.7.0
2017-10-08 23:52 vboctor Status resolved => closed